{ lib, fetchgit, buildLinux, linuxManualConfig, linux-firmware, runCommand, ... }:
(linuxManualConfig {
	src = fetchgit {
    url = "https://git.jeevio.xyz/jeeves/linux-ps4";
		rev = "refs/heads/5.4.y-aeolia";
    hash = "";
	};

	version = "5.4.286-PS4";
	modDirVersion = "5.4.286";

	# we need to tell Kconfig where the firmware files are
	configfile = runCommand "concat-config" {} ''
		cat "${./config-aeolia}" > $out
		echo "CONFIG_EXTRA_FIRMWARE_DIR=\"${linux-firmware}/lib/firmware\"" >> $out
	'';
	allowImportFromDerivation = true;
})
# buildLinux {
# 	src = fetchgit {
#     url = "https://git.jeevio.xyz/jeeves/linux-ps4";
# 		rev = "refs/heads/5.4.y-aeolia";
#     hash = "sha256-e73eslMQAwSFgpmQZfYezKDdldUGi3JlR+Ip5vc3Af8=";
# 	};
# 	version = "5.4.286";

# 	ignoreConfigErrors = true;
# 	autoModules = false;
# 	kernelPreferBuiltin = true;

# 	structuredExtraConfig = with lib; {
# 		X86_PS4 = kernel.yes;

# 		CPU_SUP_AMD = kernel.yes;
# 		MICROCODE_AMD = kernel.yes;
# 		MICROCODE_OLD_INTERFACE = kernel.yes;

# 		AMD_IOMMU = kernel.yes;
# 		DMAR_TABLE = kernel.yes;
# 		IRQ_REMAP = kernel.yes;

# 		DRM_NOUVEAU = mkForce kernel.no;
# 		DRM_I915 = mkForce kernel.no;

# 		AGP = kernel.yes;
# 		AGP_AMD64 = kernel.yes;
# 		VGA_ARB = kernel.yes;
# 		VGA_ARB_MAX_GPUS = kernel.freeform "2";

# 		DRM = kernel.yes;
# 		DRM_KMS_HELPER = kernel.yes;
# 		DRM_KMS_FB_HELPER = kernel.yes;
# 		DRM_FBDEV_EMULATION = kernel.yes;
# 		DRM_LOAD_EDID_FIRMWARE = kernel.yes;
# 		DRM_TTM = kernel.yes;
# 		DRM_SCHED = kernel.yes;

# 		DRM_AMDGPU = kernel.yes;
# 		DRM_AMDGPU_CIK = kernel.yes;

# 		DRM_AMD_DC = kernel.yes;
# 		DRM_AMD_DC_DCN1_0 = kernel.yes;

# 		SQUASHFS = kernel.yes;
# 		# USB_UAS = kernel.yes;
# 		OVERLAY_FS = kernel.yes;
# 		# SATA_NV = kernel.yes; # why is this required??? how can i make it not? the PS4 has no nvidia
# 		# SATA_VIA = kernel.yes;
# 		# SATA_SIS = kernel.yes;
# 		# SATA_ULI = kernel.yes;
# 		PATA_MARVELL = kernel.yes;
# 		# NVMEM = kernel.yes;

# 		# VIRT_DRIVERS = mkForce kernel.no;
# 	};
# }
